/// <reference types="node" />
import * as fs from 'fs-extra';
import { EventEmitter } from 'events';
import { PluginsService } from '../plugins/plugins.service';
import { ConfigService } from '../../core/config/config.service';
import { Logger } from '../../core/logger/logger.service';
export declare class BackupService {
    private readonly configService;
    private readonly pluginsService;
    private readonly logger;
    private restoreDirectory;
    constructor(configService: ConfigService, pluginsService: PluginsService, logger: Logger);
    downloadBackup(reply: any): Promise<void>;
    uploadBackupRestore(file: any): Promise<void>;
    removeRestoreDirectory(): Promise<void>;
    restoreFromBackup(client: EventEmitter): Promise<{
        status: number;
    }>;
    uploadHbfxRestore(file: fs.ReadStream): Promise<void>;
    restoreHbfxBackup(client: EventEmitter): Promise<{
        status: number;
    }>;
    postBackupRestoreRestart(): {
        status: number;
    };
}
