/// <reference types="node" />
import { Logger } from '../../core/logger/logger.service';
import { ConfigService, HomebridgeConfig } from '../../core/config/config.service';
export declare class ConfigEditorService {
    private readonly configService;
    private readonly logger;
    constructor(configService: ConfigService, logger: Logger);
    private start;
    getConfigFile(): Promise<HomebridgeConfig>;
    updateConfigFile(config: HomebridgeConfig): Promise<HomebridgeConfig>;
    listConfigBackups(): Promise<{
        id: string;
        timestamp: Date;
        file: string;
    }[]>;
    getConfigBackup(backupId: number): Promise<Buffer>;
    deleteAllConfigBackups(): Promise<void>;
    private ensureBackupPathExists;
    private migrateConfigBackups;
    generatePin(): string;
    generateUsername(): string;
}
